---
title: Delete user
slug: content-recommendations/api/delete-user
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "JIBgQN3sJGIGqTllhBkx1",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.usea01.idio.episerver.net/1.0/users/{id}",
    "servers": [
      {
        "url": "https://{hostname}/1.0/users/{id}",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Delete user",
    "description": "Permanently delete the specified user.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "email:john.doe@example.com",
          "description": "<p>User identifier (numeric ID or 'identifier</p><div></div>' format).<p></p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Deletion successful.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"User 1 deleted successfully\"}",
            "description": "Generic message response object returned by the API.",
            "customType": "Message",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "The message content.",
                "example": "User updated successfully."
              }
            ],
            "modelRef": "#/components/schemas/Message",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "User does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "amnJapOYv80JIkrUOkNcW",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.usea01.idio.episerver.net/1.0/users/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "E_qLKFBKsSpXNOTtqgrNs",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/users/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "8eqnNN036KNkUsvG1vf1j",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/users/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "yHsL_nG-61bjkRLaIDTtS",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/users/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "amnJapOYv80JIkrUOkNcW"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Deletion successful.\n{\n  \"message\": \"User updated successfully.\"\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// User does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}